## r-bioc-alabaster.matrix 1.4.2+ds

=== DESCRIPTION ===
Package: alabaster.matrix
Title: Load and Save Artifacts from File
Version: 1.4.2
Date: 2024-06-21
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save matrices, arrays and similar objects into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: alabaster.base
Imports: methods, BiocGenerics, S4Vectors, DelayedArray (>= 0.27.2),
        S4Arrays, SparseArray, rhdf5 (>= 2.47.1), HDF5Array, Matrix,
        Rcpp
Suggests: testthat, knitr, BiocStyle, chihaya, BiocSingular,
        ResidualMatrix
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 7.3.1
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.matrix
git_branch: RELEASE_3_19
git_last_commit: 1a775b6
git_last_commit_date: 2024-06-21
Repository: Bioconductor 3.19
Date/Publication: 2024-06-23
NeedsCompilation: yes
Packaged: 2024-06-23 20:07:01 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.matrix (1.4.2+ds-2) unstable; urgency=medium

  * Restrict to little-endian architectures.
  * Added patch to skip tests that use the 'chihaya' R package which is not
    yet in Debian.
  * Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Nov 2024 11:08:44 +0100

r-bioc-alabaster.matrix (1.4.2+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:41:54 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp3) experimental; urgency=medium

  * d/control: correct minimum version number for r-bioc-alabaster.base

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 12:16:30 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp2) experimental; urgency=medium

  * d/control: add minimum version number for r-bioc-alabaster.base

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 13:54:10 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:25:11 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp0) experimental; urgency=medium

  * Initial release (Closes: #1076075)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:59:01 +0200

=== debian/control ===
Source: r-bioc-alabaster.matrix
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix.git
Homepage: https://bioconductor.org/packages/alabaster.matrix
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp2),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-delayedarray (>= 0.30.1),
               r-bioc-s4arrays (>= 1.4.1),
               r-bioc-sparsearray (>= 1.4.8),
               r-bioc-rhdf5 (>= 2.48.0),
               r-bioc-hdf5array (>= 1.32.0),
               r-cran-matrix,
               r-cran-rcpp,
               architecture-is-64-bit,
               architecture-is-little-endian
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.matrix
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp2),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-delayedarray (>= 0.30.1),
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-sparsearray (>= 1.4.8),
         r-bioc-rhdf5 (>= 2.48.0),
         r-bioc-hdf5array (>= 1.32.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-biocsingular (>= 1.20.0),
          r-bioc-residualmatrix (>= 1.14.1)
Description: Load and Save matrices, arrays, and similar objects from files
 Save matrices, arrays and similar objects into file artifacts, and load them
 back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

## r-bioc-alabaster.matrix 1.6.1+ds

=== DESCRIPTION ===
Package: alabaster.matrix
Title: Load and Save Artifacts from File
Version: 1.6.1
Date: 2024-11-19
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save matrices, arrays and similar objects into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: alabaster.base
Imports: methods, BiocGenerics, S4Vectors, DelayedArray (>= 0.31.8),
        S4Arrays, SparseArray (>= 1.5.22), rhdf5 (>= 2.47.1),
        HDF5Array, Matrix, Rcpp
Suggests: testthat, knitr, BiocStyle, chihaya, BiocSingular,
        ResidualMatrix
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Encoding: UTF-8
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.matrix
git_branch: RELEASE_3_20
git_last_commit: d176a56
git_last_commit_date: 2024-11-19
Repository: Bioconductor 3.20
Date/Publication: 2024-11-20
NeedsCompilation: yes
Packaged: 2024-11-20 21:02:16 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.matrix (1.6.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 23:18:05 +0100

r-bioc-alabaster.matrix (1.6.1+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 10:59:59 +0100

r-bioc-alabaster.matrix (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:35:42 +0100

=== debian/control ===
Source: r-bioc-alabaster.matrix
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix.git
Homepage: https://bioconductor.org/packages/alabaster.matrix
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-alabaster.base,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-delayedarray (>= 0.31.8),
               r-bioc-s4arrays,
               r-bioc-sparsearray (>= 1.5.22),
               r-bioc-rhdf5 (>= 2.47.1),
               r-bioc-hdf5array,
               r-cran-matrix,
               r-cran-rcpp,
               architecture-is-64-bit,
               architecture-is-little-endian
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.matrix
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Load and Save matrices, arrays, and similar objects from files
 Save matrices, arrays and similar objects into file artifacts, and load them
 back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/alabaster.matrix.html .*/alabaster.matrix_(.*).tar.gz
